Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.minecraft.item
Class ItemBlock

    java.lang.Object
      net.minecraft.item.Item
          net.minecraft.item.ItemBlock

Direct Known Subclasses:
  ItemCloth, ItemColored, ItemLeaves, ItemMultiTextureTile, ItemPiston, ItemSlab

    public class ItemBlock

extends Item

Field Summary

Fields inherited from class net.minecraft.item.Item
`appleGold, appleRed, arrow, axeDiamond, axeGold, axeSteel, axeStone, axeWood, bakedPotato, bed, beefCooked, beefRaw, blazePowder, blazeRod, boat, bone, book, bootsChain, bootsDiamond, bootsGold, bootsLeather, bootsSteel, bow, bowlEmpty, bowlSoup, bread, brewingStand, brick, bucketEmpty, bucketLava, bucketMilk, bucketWater, cake, carrot, carrotOnAStick, cauldron, chickenCooked, chickenRaw, clay, coal, compass, cookie, diamond, doorSteel, doorWood, dyePowder, egg, emerald, emptyMap, enderPearl, expBottle, eyeOfEnder, feather, fermentedSpiderEye, field_92052_bU, field_92053_bW, field_92054_bV, fireballCharge, fishCooked, fishingRod, fishRaw, flint, flintAndSteel, flowerPot, ghastTear, glassBottle, goldenCarrot, goldNugget, gunpowder, helmetChain, helmetDiamond, helmetGold, helmetLeather, helmetSteel, hoeDiamond, hoeGold, hoeSteel, hoeStone, hoeWood, ingotGold, ingotIron, isDefaultTexture, itemFrame, itemsList, leather, legsChain, legsDiamond, legsGold, legsLeather, legsSteel, lightStoneDust, magmaCream, map, melon, melonSeeds, minecartCrate, minecartEmpty, minecartPowered, monsterPlacer, netherStalkSeeds, netherStar, painting, paper, pickaxeDiamond, pickaxeGold, pickaxeSteel, pickaxeStone, pickaxeWood, plateChain, plateDiamond, plateGold, plateLeather, plateSteel, pocketSundial, poisonousPotato, porkCooked, porkRaw, potato, potion, pumpkinPie, pumpkinSeeds, record11, record13, recordBlocks, recordCat, recordChirp, recordFar, recordMall, recordMellohi, recordStal, recordStrad, recordWait, recordWard, redstone, redstoneRepeater, reed, rottenFlesh, saddle, seeds, shears, shiftedIndex, shovelDiamond, shovelGold, shovelSteel, shovelStone, shovelWood, sign, silk, skull, slimeBall, snowball, speckledMelon, spiderEye, stick, sugar, swordDiamond, swordGold, swordSteel, swordStone, swordWood, wheat, writableBook, writtenBook`

Constructor Summary
`ItemBlock(int par1)`

Method Summary
`boolean` | `canPlaceItemBlockOnSide(World par1World, int par2, int par3, int par4, int par5, EntityPlayer par6EntityPlayer, ItemStack par7ItemStack)`
`int` | `getBlockID()` Returns the blockID for this Item
`CreativeTabs` | `getCreativeTab()`
`String` | `getItemName()`
`String` | `getItemNameIS(ItemStack par1ItemStack)`
`void` | `getSubItems(int par1, CreativeTabs par2CreativeTabs, List par3List)`
`boolean` | `onItemUse(ItemStack par1ItemStack, EntityPlayer par2EntityPlayer, World par3World, int par4, int par5, int par6, int par7, float par8, float par9, float par10)` Callback for item usage.
`boolean` | `placeBlockAt(ItemStack stack, EntityPlayer player, World world, int x, int y, int z, int side, float hitX, float hitY, float hitZ, int metadata)` Called to actually place the block, after the location is determined and all permission checks have been made.

Methods inherited from class net.minecraft.item.Item
`addInformation, canHarvestBlock, createEntity, doesContainerItemLeaveCraftingGrid, func_77653_i, func_82788_x, getChestGenBase, getColorFromItemStack, getContainerItem, getContainerItemStack, getCreativeTabs, getDamageVsEntity, getEntityLifespan, getHasSubtypes, getIconFromDamage, getIconFromDamageForRenderPass, getIconIndex, getIconIndex, getIconIndex, getIsRepairable, getItemDisplayName, getItemEnchantability, getItemStackLimit, getItemUseAction, getLocalItemName, getMaxDamage, getMaxItemUseDuration, getMetadata, getPotionEffect, getRarity, getRenderPasses, getShareTag, getSmeltingExperience, getStatName, getStrVsBlock, getStrVsBlock, getTextureFile, hasContainerItem, hasCustomEntity, hasEffect, hitEntity, isDamageable, isFull3D, isItemTool, isMap, isPotionIngredient, isRepairable, itemInteractionForEntity, onBlockDestroyed, onBlockStartBreak, onCreated, onDroppedByPlayer, onFoodEaten, onItemRightClick, onItemUseFirst, onLeftClickEntity, onPlayerStoppedUsing, onUpdate, onUsingItemTick, requiresMultipleRenderPasses, setContainerItem, setCreativeTab, setFull3D, setIconCoord, setIconIndex, setItemName, setMaxDamage, setMaxStackSize, setNoRepair, setTextureFile, shouldPassSneakingClickToBlock, shouldRotateAroundWhenRendering`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ItemBlock

    public ItemBlock(int par1)

Method Detail

### getBlockID

    public int getBlockID()

  Returns the blockID for this Item

### onItemUse

    public boolean onItemUse(ItemStack par1ItemStack,
                             EntityPlayer par2EntityPlayer,
                             World par3World,
                             int par4,
                             int par5,
                             int par6,
                             int par7,
                             float par8,
                             float par9,
                             float par10)

  Callback for item usage. If the item does something special on right clicking, he will have one of those. Return True if something happen and false if it don't. This is for ITEMS, not BLOCKS

  Overrides:
    `onItemUse` in class `Item`

### canPlaceItemBlockOnSide

    public boolean canPlaceItemBlockOnSide(World par1World,
                                           int par2,
                                           int par3,
                                           int par4,
                                           int par5,
                                           EntityPlayer par6EntityPlayer,
                                           ItemStack par7ItemStack)

### getItemNameIS

    public String getItemNameIS(ItemStack par1ItemStack)

  Overrides:
    `getItemNameIS` in class `Item`

### getItemName

    public String getItemName()

  Overrides:
    `getItemName` in class `Item`

### getCreativeTab

    public CreativeTabs getCreativeTab()

  Overrides:
    `getCreativeTab` in class `Item`

### getSubItems

    public void getSubItems(int par1,
                            CreativeTabs par2CreativeTabs,
                            List par3List)

  Overrides:
    `getSubItems` in class `Item`

### placeBlockAt

    public boolean placeBlockAt(ItemStack stack,
                                EntityPlayer player,
                                World world,
                                int x,
                                int y,
                                int z,
                                int side,
                                float hitX,
                                float hitY,
                                float hitZ,
                                int metadata)

  Called to actually place the block, after the location is determined and all permission checks have been made.

  Parameters:
    `stack` - The item stack that was used to place the block. This can be changed inside the method.
    `player` - The player who is placing the block. Can be null if the block is not being placed by a player.
    `side` - The side the player (or machine) right-clicked on.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD